<!--
  Copyright (c) 2024 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  SPDX-License-Identifier: EPL-2.0
-->
{{ with .Page.Params.related }}
  {{ $title := .title | default "Related Links" }}

  <aside class="sideitem margin-top-30" aria-labelledby="{{ $title | anchorize }}">
    <p class="h4" id="{{ $title | anchorize }}">{{ $title }}</p>
    {{ with .links }}
      <hr>
      <nav>
        <ul>
          {{ range . }}
            <li><a href="{{ .url }}">{{ .text | markdownify }}</a></li>
          {{ end }}
        </ul>
      </nav>
    {{ end }}
    {{ with .content }}
      {{ . | safeHTML }}
    {{ end }}
  </aside>
{{ end }}